<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}
  //AQUI VAI ASSINALAR DIRETO TESTES A REALIZAR MODELO BARENBRUG-->
   //aqui cria um segundo vetor com mesmo tamanho do vetor de testes e que serve para armazenar no 
	$vetor[1]="PUR";
	$vetor[2]="DOS";
	$vetor[3]="OCV";
	$vetor[4]="PMS";
	$vetor[5]="DTU";
	$vetor[6]="GER";
	$vetor[7]="TZO";
	$vetor[8]="ARE";
	$vetor[9]="CAN";
	$quantosTestes=sizeof($vetor);
	//mesmo indice do vetor principal a palavra checked se o teste foi solicitado
	$user = new testesSolicitados();
	$user->extras_select = "where tes_ficha=".$amostraLong;
	$user->selecionaTudo($user);
	while ($res = $user->retornaDados()):
	    //para cada registro ele varre o array para ver o indice. quando encontra ele grava o valor no segundo vetor 
	    for($i=1;$i<=$quantosTestes;$i++)
		{
	        if($res->tes_teste==$vetor[$i]) $segundoVetor[$i]='checked';
			//echo  'kkk'. $res->tes_teste;
		}
	endwhile;  
    //se foi marcado o teste solicitado solos ou arei entao vai vir assinalado aqui
    if($segundoVetor[8]=='checked')$chequeAreia='checked';
    if($segundoVetor[9]=='checked')$chequeSolo='checked';

	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editar':
      //setor achar significa poder ir para outra amostra
 
		
		 if (isset($_POST['acharDigitada']) || isset($_POST['acharAvanca'])  || isset($_POST['acharRecua']) || isset($_POST['acharUltima'])):
			   	$registro=$_POST["amostra"];//se clica em achar digitada ja pega daqui
              	if(isset($_POST['acharAvanca']))$acao='avanca';
              	if(isset($_POST['acharRecua']))$acao='recua';
              	if(isset($_POST['acharUltima']))$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		
		
		
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;

		
		//acha o valor de rean 1 de qualquer maneira
        $user = new rean1();
		$user->extras_select =" where  rea_teste='EMER' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
        $contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
		    $rep1te=$res->rea_lei1;
		    $rep2te=$res->rea_lei2;
		    $rep3te=$res->rea_lei3;
		    $rep4te=$res->rea_lei4;
		    $bandeja1=$res->rea_datainicio;
		    $bandeja2=$res->rea_campo20a;
            $chequeOpcao=$res->rea_finalizada;
            $chequeRasAreiaOpcao=$res->rea_primeira_leitura_data;
            $chequeRasSoloOpcao=$res->rea_segunda_leitura_data;

            $nsementesTe=$res->rea_duracao;
            $dataPlantioAr=$res->rea_validade;
            //$germinacao1Te=$res->rea_datainicio;//usei para bandeja
             //tabela da direita
		    $rep1td=$res->rea_v1;
		    $rep2td=$res->rea_v2;
		    $rep3td=$res->rea_v3;
		    $rep4td=$res->rea_v4;
		    $nsementesTd=$res->rea_v5;
		    $dataPlantioTd=$res->rea_datageralteste;
		    $germinacao1Td=$res->rea_campo20b;//germminacao em solo
		    $germinacao1Te=$res->rea_terceira_leitura_analista;//germminacao em areia
            //campos gerais
			$reanLong=$res->rea_id;
			$analistaEmergencia=$res->rea_operador;
			$dataEmergencia=$res->rea_segunda_leitura;
		endwhile;
  
 



        //calcula o total esquerda
        $totte=$rep1te+$rep2te+$rep3te+$rep4te;
        if($nsementesTe>0)$germinacao1Te=round(100*$totte/$nsementesTe);//usei para bandeja
        //calcula o total direitaa
        $tottd=$rep1td+$rep2td+$rep3td+$rep4td;
        if($nsementesTd>0)$germinacao1Td=round(100*$tottd/$nsementesTd);//usei para bandeja

        if($contador==0):
            //criando registro de GERM
            $reanNova = new rean1(array(
                'rea_ficha'=> $amostraLong,
                'rea_teste'=> 'EMER',
            ));
            $reanLong=$reanNova->inserir($reanNova);
			echo("Criou registro novo para salvar seu dados de EMERGENCIA");
        endif;


	

      //aqui so vai ler os post se clicar em calcular gravar
	  
	  $limite=8;
      if (isset($_POST['bt_calcularegravar'])):
         echo '<h2>Calcular e gravar</h2>';
	     //passo 1 capturar os dados dos campos para isso vai usar o post
		 $reanLong=$_POST["reanLong"];
	     $vaiGravar="SIM"; 
		 //echo("reanlong=$reanLong<br>");
         //tabela da esquerda
		 $rep1te=$_POST['rep1te']; 
		 $rep2te=$_POST['rep2te']; 
		 $rep3te=$_POST['rep3te']; 
		 $rep4te=$_POST['rep4te']; 
		 $nsementesTe =$_POST['nsementesTe']; 
		 $dataPlantioAr =$_POST['dataPlantioAr']; 
		 $bandeja1 =$_POST['bandeja1']; //badejate
         //tabela da direita
		 $rep1td=$_POST['rep1td']; 
		 $rep2td=$_POST['rep2td']; 
		 $rep3td=$_POST['rep3td']; 
		 $rep4td=$_POST['rep4td']; 
		 $nsementesTd=$_POST['nsementesTd']; 
		 $dataPlantioTd =$_POST['dataPlantioTd']; 
		 $bandeja2 =$_POST['bandeja2']; 
		 $dataEmergencia =$_POST['dataEmergencia']; 
		 $chequeOpcao=$_POST['chequeOpcao'];
		 $chequeRasAreiaOpcao=$_POST['chequeRasAreiaOpcao'];
		 $chequeRasSoloOpcao=$_POST['chequeRasSoloOpcao'];
		 //$germinacao1Td=$_POST['germinacao1Td'];
		 //$germinacao1Te=$_POST['germinacao1Te'];
		 /////////////
		//calcula o total esquerda
        $totte=$rep1te+$rep2te+$rep3te+$rep4te;
        if($nsementesTe>0)$germinacao1Te=round(100*$totte/$nsementesTe);//usei para bandeja
        //calcula o total direitaa
        $tottd=$rep1td+$rep2td+$rep3td+$rep4td;
        if($nsementesTd>0)$germinacao1Td=round(100*$tottd/$nsementesTd);//usei para bandeja
		 ////////////
		 
		 
		 
		 
		 
		 
         //echo("rep1te=$rep1te<br>");
		 $sql="update rean1 set 
		 rea_lei1='$rep1te', 
		 rea_lei2='$rep2te', 
		 rea_lei3='$rep3te', 
		 rea_lei4='$rep4te', 
		 rea_duracao='$nsementesTe', 
		 rea_validade='$dataPlantioAr', 
		 rea_datainicio='$bandeja1', 
		 rea_v1='$rep1td', 
		 rea_v2='$rep2td', 
		 rea_v3='$rep3td', 
		 rea_v4='$rep4td', 
		 rea_v5='$nsementesTd', 
		 rea_segunda_leitura='$dataEmergencia', 
		 rea_operador='$nomeOperador', 
		 rea_datageralteste='$dataPlantioTd', 
		 rea_finalizada='$chequeOpcao',
		 rea_primeira_leitura_data='$chequeRasAreiaOpcao',
		 rea_segunda_leitura_data='$chequeRasSoloOpcao',
		 rea_campo20b='$germinacao1Td',
		 rea_terceira_leitura_analista='$germinacao1Te',
		 rea_terceira_leitura_data='$chequeRasSoloOpcao',
		 rea_campo20a='$bandeja2' 
         where rea_id=".$reanLong;
			$generica->grava_registro_com_retorno($sql); 
			//grava ocorrencia
		    //printMSG('Gravou Ok.'.$sql, 'alerta');	
		    printMSG('Gravou Ok.', 'alerta');	
	  endif;	 
		 
	
	

	
	 		
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
			echo '<h2>Cálculo de EMERGENCIA AREIA/SOLO. Amostra:'. $amostra.  ' Espécie:'. $especie. '</h2>';
 
			if (isset($_POST['bt_imprimir'])):
	            echo '<iframe src="imprimefichaEMERGENCIA.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
            endif;
	 
	 	$fezAreia='';
	if($segundoVetor[8]!='checked'):
	  $fezAreia='cheched';
    endif;    
	$fezSolos='';
	if($segundoVetor[9]!='checked'):
	  $fezSolos='cheched';
    endif;    
	//aqui marca os radios conforme foi salvo e se foi apenas lido
    if($chequeOpcao=='S')$chequeCanteiro="checked";  
    if($chequeOpcao=='N')$chequeEstufa="checked";  	
    if($chequeRasAreiaOpcao=='S')$chequeRasAreiaSim="checked";  
    if($chequeRasAreiaOpcao=='N')$chequeRasAreiaNao="checked";  	
    if($chequeRasSoloOpcao=='S')$chequeRasSoloSim="checked";  
    if($chequeRasSoloOpcao=='N')$chequeRasSoloNao="checked";  	
	
	
	 

	?>
	                 
    <form class="userform" method="POST" action="">
	id<input type="text" name="reanLong" value=<?php echo $reanLong ?> size=5 />
	</td>
	<table border="1" cellspacing="1" align="center" width="800">
     <!--TABELA DA ESQUERDA-->	 
	 <td><table bgcolor="silver" >
	   <!--PRIMEIRA LINHA-->
       <tr>
	   <td >
	   <input type="checkbox" name="areia" <?php echo $chequeAreia?>  disabled="disabled" />Areia
	   (NºBandeja)<input type="text" name="bandeja1" value="<?php echo $bandeja1; ?>" size="3" />
	   </td>
	   </tr>
	
    
	   <!--SEGUNDA LINHA-->
       <tr>
	   <td >
	   Nº Sementes <input type="text" name="nsementesTe" value="<?php echo $nsementesTe;?>" size="3" />
	   Data Plantio(ar)<input type="text" name="dataPlantioAr" value="<?php echo $dataPlantioAr;?>" size="8" />
	   </td>
	   </tr>
	   <!--TERCEIRA LINHA-->
       <tr>
	   <td align="center" bgcolor="white" >
	   Nº de plântulas(Repetição)
	   </td>
	   </tr>
	   <!--QUARTA LINHA-->
	   <!--explicacao Nomes do campos rep1te significa repeticao 1 da tabela esquerdaa-->
       <tr>
	   <td>
	   
	   1ª<input type="text" name="rep1te" value="<?php echo $rep1te;?>" size="3" />
	   2ª<input type="text" name="rep2te" value="<?php echo $rep2te;?>" size="3" />
	   3ª<input type="text" name="rep3te" value="<?php echo $rep3te;?>" size="3" />
	   4ª<input type="text" name="rep4te" value="<?php echo $rep4te;?>" size="3" />
	   Total=<?php echo $totte;?>
	   </td>
	   </tr>
	   <!--QUINTA LINHA-->
       <tr>
	   <td>
       Tabela de tolerância 18.9(RAS):
	   <input type="radio" name="chequeRasAreiaOpcao" value="S"  <?php echo $chequeRasAreiaSim; ?>/>sim
	   <input type="radio" name="chequeRasAreiaOpcao" value="N"  <?php echo $chequeRasAreiaNao;?> />nao
	   Germinação:<input type="text" name="germinacao1Te"  disabled="disabled" value="<?php echo $germinacao1Te;?>" size="3" />%
	   </tr>
	   <!--SEXTA LINHA-->
       <tr>
	   <td >
	   Analista:<?php echo $analistaEmergencia; ?>
	   </td>
	   </tr>



	 
     </table></td>

     <!--TABELA DA DIREITA-->	 
	 <td><table bgcolor="silver">
   <!--PRIMEIRA LINHA-->
       <tr>
	   <td >
       <input type="checkbox" name="chequeSolo" <?php echo $chequeSolo;?> disabled="disabled" />solo 
       <input type="radio" name="chequeOpcao" value="S" <?php echo $chequeCanteiro; ?> />canteiro
       <input type="radio" name="chequeOpcao" value="N" <?php echo $chequeEstufa; ?>   />estufa 
	   (NºBandeja)<input type="text" name="bandeja2" value="<?php echo $bandeja2; ?>" size="3" />
	   </td>
	   </tr>
	   <!--SEGUNDA LINHA-->
       <tr>
	   <td >
	   Nº Sementes <input type="text" name="nsementesTd"    maxlength="3"  value="<?php echo $nsementesTd;?>" size="3" />
	   Data Plantio(so)<input type="text" name="dataPlantioTd"  maxlength="10"  value="<?php echo $dataPlantioTd;?>" size="8" />
	   </td>
	   </tr>
	   <!--TERCEIRA LINHA-->
       <tr>
	   <td align="center" bgcolor="white" >
	   Nº de plântulas(Repetição)
	   </td>
	   </tr>
	   <!--QUARTA LINHA-->
	   <!--explicacao Nomes do campos rep1te significa repeticao 1 da tabela esquerdaa-->
       <tr>
	   <td>
	   
	   1ª<input type="text" name="rep1td" value="<?php echo $rep1td;?>" size="3" />
	   2ª<input type="text" name="rep2td" value="<?php echo $rep2td;?>" size="3" />
	   3ª<input type="text" name="rep3td" value="<?php echo $rep3td;?>" size="3" />
	   4ª<input type="text" name="rep4td" value="<?php echo $rep4td;?>" size="3" />
	   Total:<?php echo $tottd;?>
	   </td>
	   </tr>
	   <!--QUINTA LINHA-->
       <tr>
	   <td>
       Tabela de tolerância 18.9(RAS):
	   <input type="radio" name="chequeRasSoloOpcao" value="S" <?php echo $chequeRasSoloSim;?> />sim
	   <input type="radio" name="chequeRasSoloOpcao" value="N" <?php echo $chequeRasSoloNao;?> />nao

	   Germinação:<input type="text" name="germinacao1Td"  disabled="disabled" value="<?php echo $germinacao1Td;?>" size="3" />%
	   </tr>
	   <!--SEXTA LINHA-->
       <tr>
	   <td >
	   Data final:
	  <input type="text" name="dataEmergencia" maxlength="10" value="<?php echo $dataEmergencia;?>" size="10" />
	   </td>
	   </tr>




     </table></td>
    
	</table> 	 



	                 <table border="1" cellspacing="1" align="center" width="1000">
	
	
	<!--repeticao de 9 a 16-->
	
	
	
		<td><table>
				 
	             <tr>
		  </table> </td>

                    <table align="left">
					
					
	                <td><input type="submit" name="bt_calcularegravar"   value="Calcular/Gravar" /></td>
	                
					</form> 

					</tr>
                    </table>
					
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>